## mx4j.tools.connector.rmi.jrmp
Class JRMPRemoteNotificationFilterSupport

    java.lang.Object
      mx4j.tools.connector.rmi.RemoteNotificationFilterSupport
          mx4j.tools.connector.rmi.jrmp.JRMPRemoteNotificationFilterSupport

All Implemented Interfaces:
  javax.management.NotificationFilter, java.rmi.Remote, java.io.Serializable

public class JRMPRemoteNotificationFilterSupport
extends RemoteNotificationFilterSupport

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`JRMPRemoteNotificationFilterSupport(javax.management.NotificationFilter clientFilter)`

Method Summary
`void` `export()`
`void` `export(int port)`
`void` `export(int port, java.rmi.server.RMIClientSocketFactory csf, java.rmi.server.RMIServerSocketFactory ssf)`
`void` `unexport()`

Methods inherited from class mx4j.tools.connector.rmi.RemoteNotificationFilterSupport
`equals, getRemoteNotificationFilter, hashCode, isNotificationEnabled`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRMPRemoteNotificationFilterSupport

    public JRMPRemoteNotificationFilterSupport(javax.management.NotificationFilter clientFilter)

Method Detail

### export

    public void export()
                throws java.rmi.RemoteException

  Specified by:
    `export` in class `RemoteNotificationFilterSupport`
  Throws:
    `java.rmi.RemoteException`

### export

    public void export(int port)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### export

    public void export(int port,
                       java.rmi.server.RMIClientSocketFactory csf,
                       java.rmi.server.RMIServerSocketFactory ssf)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### unexport

    public void unexport()
                  throws java.rmi.NoSuchObjectException

  Specified by:
    `unexport` in class `RemoteNotificationFilterSupport`
  Throws:
    `java.rmi.NoSuchObjectException`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.